#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 haskell-lsp-types
version:              0.24.0.0
visibility:           public
id:                   haskell-lsp-types-0.24.0.0-651l1J6YLZd603x4r41a5J
key:                  haskell-lsp-types-0.24.0.0-651l1J6YLZd603x4r41a5J
license:              MIT
copyright:            Alan Zimmerman, 2016-2020
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/alanz/haskell-lsp
synopsis:
    Haskell library for the Microsoft Language Server Protocol, data types

description:
    An implementation of the types to allow language implementors to
    support the Language Server Protocol for their specific language.

category:             Development
abi:                  5c7a2c91dc8aab61e223a90459e839a0
exposed:              True
exposed-modules:
    Language.Haskell.LSP.Types Language.Haskell.LSP.Types.Capabilities
    Language.Haskell.LSP.Types.Constants
    Language.Haskell.LSP.Types.Lens
    Language.Haskell.LSP.Types.MessageFuncs
    Language.Haskell.LSP.Types.Utils

hidden-modules:
    Language.Haskell.LSP.Types.ClientCapabilities
    Language.Haskell.LSP.Types.CodeAction
    Language.Haskell.LSP.Types.Color Language.Haskell.LSP.Types.Command
    Language.Haskell.LSP.Types.Completion
    Language.Haskell.LSP.Types.DataTypesJSON
    Language.Haskell.LSP.Types.Diagnostic
    Language.Haskell.LSP.Types.DocumentFilter
    Language.Haskell.LSP.Types.FoldingRange
    Language.Haskell.LSP.Types.Hover Language.Haskell.LSP.Types.List
    Language.Haskell.LSP.Types.Location
    Language.Haskell.LSP.Types.MarkupContent
    Language.Haskell.LSP.Types.Message
    Language.Haskell.LSP.Types.Progress
    Language.Haskell.LSP.Types.Symbol
    Language.Haskell.LSP.Types.TextDocument
    Language.Haskell.LSP.Types.Uri Language.Haskell.LSP.Types.Window
    Language.Haskell.LSP.Types.WorkspaceEdit
    Language.Haskell.LSP.Types.WorkspaceFolders

import-dirs:          /usr/lib/ghc-8.10.3/site-local/haskell-lsp-types-0.24.0.0
library-dirs:         /usr/lib/ghc-8.10.3/site-local/haskell-lsp-types-0.24.0.0
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.3/haskell-lsp-types-0.24.0.0

hs-libraries:         HShaskell-lsp-types-0.24.0.0-651l1J6YLZd603x4r41a5J
depends:
    aeson-1.5.5.1-4GF5dOSAlvS8j16wiAKYmP base-4.14.1.0 binary-0.8.8.0
    bytestring-0.10.12.0 data-default-0.7.1.1-1geRXvsTRPO6J0s8WEBFAz
    deepseq-1.4.4.0 filepath-1.4.2.1
    hashable-1.3.0.0-C4QpLHBwsCbBQudtxc3BPD
    lens-4.19.2-LRfJESGMB7H6jUYkxOV6n8
    network-uri-2.6.3.0-2AOjt86Hz9KCIpe87E5Q3s
    scientific-0.3.6.2-42VpUN9HkAxKpZTUI15Bfz text-1.2.4.1
    unordered-containers-0.2.13.0-3Ieg6EkO4CaEKR70vK4Wn9

haddock-interfaces:
    /usr/share/doc/haskell-lsp-types/html/haskell-lsp-types.haddock

haddock-html:         /usr/share/doc/haskell-lsp-types/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

